Module __builtin__ :: Class tuple

[frames | no frames]

## Type tuple

    object --+
             |
            tuple

tuple() -> an empty tuple tuple(sequence) -> tuple initialized from sequence's items

If the argument is a tuple, the return value is the same object.

Method Summary
| `__add__(x, y)` Return x+y...
| `__contains__(x, y)` Return y in x...
| `__eq__(x, y)` Return x==y...
| `__ge__(x, y)` Return x>=y...
| ``__getattribute__`(...)` x.__getattribute__('name') <==> x.name
| `__getitem__(x, y)` Return x[y]...
| `__getnewargs__(...)`
| ``__getslice__`(x, i, j)` Use of negative indices is not supported.
| `__gt__(x, y)` Return x>y...
| `__hash__(x)` Return hash(x)...
| `__iter__(x)` Return iter(x)...
| `__le__(x, y)` Return x<=y...
| `__len__(x)` Return len(x)...
| `__lt__(x, y)` Return x<y...
| `__mul__(x, n)` Return x*n...
| `__ne__(x, y)` Return x!=y...
| `__new__(T, S, ...)` Return a new object with type S, a subtype of T...
| `__repr__(x)` Return repr(x)...
| `__rmul__(x, n)` Return n*x...

Method Details

### __getattribute__(...)

x.__getattribute__('name') <==> x.name

  Overrides:
    `__builtin__.object.__getattribute__`

### __getslice__(x, i, j)
(Slicling operator)

Use of negative indices is not supported.

  Returns:

        x[i:j]

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:33 2009 | http://epydoc.sf.net